/* Phyperoid 1.0 - an enhanced shoot-the-asteroids game.
 * Copyright (C) 1991 Edward Hutchins.
 * PalmOS changes copyright (C) 2002 Russell Marks.
 *
 * mksincos.c - pregenerate sin/cos lookup tables.
 */

#include <stdio.h>
#include <math.h>

/* degrees scaled to integer math */
#define DEGREE_SIZE 256
#define DEGREE_MASK 255
#define DEGREE_MAX 0x4000


/* globals */
int nCos[DEGREE_SIZE],nSin[DEGREE_SIZE];


int main(void)
{
int f;
double dRad;

/* create the lookup table */
for(f=0;f<DEGREE_SIZE;++f)
  {
  dRad=f*6.2831855/DEGREE_SIZE;
  nCos[f]=(int)(DEGREE_MAX*cos(dRad));
  nSin[f]=(int)(DEGREE_MAX*sin(dRad));
  }

printf("/* sincos.h - auto-generated by mksincos, edits will be lost! */\n\n");
printf("int nCos[DEGREE_SIZE]=\n  {\n");
for(f=0;f<256;f++)
  printf("  %d,\n",nCos[f]);
printf("};\n\n");
printf("int nSin[DEGREE_SIZE]=\n  {\n");
for(f=0;f<256;f++)
  printf("  %d,\n",nSin[f]);
printf("};\n");

exit(0);
}
